Subject: bug#62066: closed (Re: bug#62066: Acknowledgement (29.0.60; go-ts-mode: Couldn't enable go-ts-mode))

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 09 Mar 2023 08:12:03 +0000

Your bug report

#62066: 29.0.60; go-ts-mode: Couldn't enable go-ts-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62066: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62066
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62066: Acknowledgement (29.0.60; go-ts-mode: Couldn't enable go-ts-mode)
From: Eli Zaretskii <[email-masked]>
To: Mohammed Sadiq <[email-masked]>
Cc: [email-masked]
Date: Thu, 09 Mar 2023 10:11:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 09 Mar 2023 12:50:55 +0530
> From: Mohammed Sadiq <[email-masked]>
> 
> Hm... Reading the source at 
> https://github.com/casouri/tree-sitter-module
> and https://github.com/camdencheek/tree-sitter-go-mod/blob/main/Makefile
> this looks like an issue with the build script in
> https://github.com/casouri/tree-sitter-module, renaming the go-mod.so 
> file
> fixed the issue.
> 
> I shouldn't have assumed the tree-sitter-module was doing the right 
> thing.
> Please close the issue.

Done.

Subject: 29.0.60; go-ts-mode: Couldn't enable go-ts-mode
From: Mohammed Sadiq <[email-masked]>
To: [email-masked]
Date: Thu, 09 Mar 2023 12:36:11 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

When I try to M-x go-ts-mode in some file buffer, it fails with the
following error:

⛔ Warning (treesit): Cannot activate tree-sitter, because language
grammar for gomod is unavailable (not-found): (libtree-sitter-gomod
libtree-sitter-gomod.so) No such file or directory

I have installed all the required libraries running batch.sh script from
https://github.com/casouri/tree-sitter-module

In the dist directory, I see a libtree-sitter-go-mod.so but not
libtree-sitter-gomod.so.

In GNU Emacs 29.0.60 (build 26, x86_64-pc-linux-gnu, GTK+ Version
  3.24.36, cairo version 1.16.0) of 2023-03-09 built on purism
Repository revision: 7e1012765c40a10a8a051c39566778913dc7e224
Repository branch: emacs-29
Windowing system distributor 'The X.Org Foundation', version 
11.0.12101007
System Description: Debian GNU/Linux bookworm/sid